<!-- Login {{ -->
<div class="uk-modal" id="login">
    <div class="uk-modal-dialog">
        <a class="uk-modal-close uk-close"></a>
        
        <div class="uk-modal-header">
            Вход в аккаунт
        </div>
                
        <?php echo form_open('login', ['class' => 'uk-form', 'method' => 'POST']) ?>
            <fieldset>
                <legend>Ваш логин:</legend>
                
                <div class="uk-form-row">
                    <input class="uk-width-1-1 uk-form-large" type="text" name="login" placeholder="Имя пользователя">
                </div>
                    
                <legend>Пароль:</legend>
                
                <div class="uk-form-row">
                    <input class="uk-width-1-1 uk-form-large" type="password" name="password" placeholder="Пароль">
                </div>
            </fieldset>
                    
            <div class="uk-modal-footer">
                <div class="uk-clearfix">
                    <div class="uk-float-right">
                        <button class="uk-button uk-button-success">
                            Войти
                        </button>
                    </div>
                </div>
            </div>
        <?php echo form_close() ?>
    </div>
</div>
<!-- }} Login -->
        
<!-- Registration {{ -->
<div class="uk-modal" id="sign-in">
    <div class="uk-modal-dialog">
        <a class="uk-modal-close uk-close"></a>
                
        <div class="uk-modal-header">
            Регистрация аккаунта
        </div>
                
        <?php echo form_open('reg', ['class' => 'uk-form', 'method' => 'POST']) ?>
            <fieldset>
                <legend>Придумайте логин:</legend>
                
                <div class="uk-form-row">
                    <input class="uk-width-1-1 uk-form-large" type="text" name="login" placeholder="(A-z0-9) От 3 до 12 символов">
                </div>
                
                <legend>Пароль:</legend>
                
                <div class="uk-form-row">
                    <input class="uk-width-1-1 uk-form-large" type="password" name="password" placeholder="Любые символы. От 6 до 16 символов">
                </div>
                
                <legend>Повторите пароль:</legend>
                
                <div class="uk-form-row">
                    <input class="uk-width-1-1 uk-form-large" type="password" name="confirm_password" placeholder="Пароль">
                </div>
            </fieldset>
                
            <div class="uk-modal-footer">
                <div class="uk-clearfix">
                    <div class="uk-float-right">
                        <a href="#login" data-uk-modal="" class="uk-button">
                            У меня уже есть аккаунт
                        </a>
                        <button class="uk-button uk-button-success">
                            Регистрация
                        </button>
                    </div>
                </div>
            </div>
        <?php echo form_close() ?>
    </div>
</div>
<!-- }} Registration -->
        
<script src="<?php echo base_url('web/js/jquery.min.js') ?>"></script>
<script src="<?php echo base_url('web/js/uikit.min.js') ?>"></script>
<script src="<?php echo base_url('web/js/codemirror.js') ?>"></script>
<script type="text/javascript">
    $(function() {
        var codeMirrorConfig = {
            indentUnit:    4,
            tabMode:       "shift",
            lineNumbers:   true,
            matchBrackets: true
        }
        
        var codemirror = CodeMirror.fromTextArea($('#id_code')[0], codeMirrorConfig);
    });
</script>
</body>
</html>