<!-- Code Form {{ -->
<div class="uk-container-center ui-margins">
    <?php echo form_open('/code/add', ['class' => 'uk-form ui-main-form', 'method' => 'POST']); ?>
        <div style="border: 1px solid #ccc;">
            <textarea cols="40" id="id_code" name="code" rows="10"></textarea>
        </div>
        <div class="uk-margin-top">
            <div class="uk-grid">
                <div class="uk-width-large-1-4">
                    <div class="uk-margin-top">
                        <input maxlength="255" class="uk-width-1-1" type="text" name="comment" placeholder="Комментарий">
                    </div>
                </div>
                
                <div class="uk-width-large-1-4">
                    <div class="uk-margin-top">
                        <input maxlength="16" class="uk-width-1-1" type="password" name="password" placeholder="Пароль">
                    </div>
                </div>
                
                <div class="uk-width-large-1-4">
                    <div class="uk-margin-top">
                        <select name="lang" class="uk-width-1-1">
                            
                        <?php foreach (config_item('langs') as $key => $value): ?>
                            <option value="<?php echo $value ?>"><?php echo $key ?></option>
                        <?php endforeach; ?>
                            
                        </select>
                    </div>
                </div>
            </div>
        </div>
                
        <div class="uk-margin-large-top">
            <button class="uk-button uk-button-success" name="btn">
                <span class="uk-icon-clone"></span> Добавить
            </button>
        </div>
    <?php echo form_close() ?>
</div>
<!-- }} Code Form -->