<!--

@dev: Dokuro
@Contact: dokuro@spaces.ru | FactoryDefault@spaces.ru | EIIie@spaces.ru

-->

<!DOCTYPE html>
<html>
<head>
    <title><?php echo isset($title) ? xss_clean($title) : NULL ?></title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="robots" content="index,follow,archive">
    <link rel="stylesheet" href="<?php echo base_url('web/css/uikit.almost-flat.min.css') ?>">
    <link rel="stylesheet" href="<?php echo base_url('web/css/main.min.css') ?>">
    <link rel="stylesheet" href="<?php echo base_url('web/css/codemirror.css') ?>">
    <link rel="stylesheet" href="<?php echo base_url('web/css/styles/shCoreEmacs.css') ?>">
</head>
<body>
<!-- Nav {{ -->
    <nav class="uk-navbar">
        <a href="/" class="uk-navbar-brand uk-hidden-small">
            <span class="uk-icon-hashtag"></span> PasteBin
        </a>
            
        <div class="uk-navbar-flip">
            <ul class="uk-navbar-nav">
            <?php if ($this->uauth->isAuth()): ?>
                <li>
                    <a href="<?php echo site_url('/main/user') ?>">
                        <span class="uk-icon-user ui-icon"></span>
                        <?php echo xss_clean($this->uauth->get('login')) ?>
                    </a>
                </li>
                <li>
                    <a href="<?php echo site_url('main/signout') ?>">
                        <span class="uk-icon-sign-out ui-icon"></span> Выход
                    </a>
                </li>
            <?php else: ?>
                <li>
                    <a href="/">
                        <span class="uk-icon-plus-circle ui-icon"></span> Залить код
                    </a>
                </li>
                <li>
                    <a href="#sign-in" data-uk-modal="">
                        <span class="uk-icon-sign-in ui-icon"></span> Регистрация
                    </a>
                </li>
            <?php endif; ?>
            </ul>
        </div>
    </nav>
<!-- }} Nav -->

<?php if (isset($_SESSION['messages'])): ?>
    
    <div class="uk-margin-top uk-margin-bottom uk-margin-left uk-margin-right">
    <?php foreach ($_SESSION['messages'] as $message): ?>
        
        <div class="uk-alert"><?php echo xss_clean($message) ?></div>
        
    <?php endforeach; ?>
    </div>
    
<?php session_destroy(); endif; ?>